Platform Charges
Alle Operationen rund um Platform Charges.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Platform Charge | platform_charge |
14 | — | platform_invoice_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/platform_charges |
Create platform_charge | Create a new platform_charge in the active tenant. |
DELETE |
/v1/platform_charges/{id} |
Delete platform_charge | Soft delete entity. |
GET |
/v1/platform_charges/{id} |
Get platform_charge by id | Fetch a single platform_charge. |
GET |
/v1/platform_charges/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/platform_charges/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/platform_charges/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/platform_charges |
List platform_charges | List platform_charges for the active tenant. |
PATCH |
/v1/platform_charges/{id} |
Patch platform_charge | JSON Merge Patch update. |
POST |
/v1/platform_charges/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/platform_charges/{id}/transition |
POST /v1/platform_charges/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/platform_charges/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/platform_charges/{id} |
Replace platform_charge | Full replace with optimistic locking. |